﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierDatabaseImplementation.Models
{
    public class DressMaterial
    {
        public int ID { get; set; }

        [Required]
        public int DressID { get; set; }
        [Required]
        public int MaterialID { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Material Material { get; set; } = new();
        public virtual Dress Dress { get; set; } = new();

    }
}
